You are not logged in.

#201 2014-01-01 01:06:55

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

I made that sound complicated, didn't I? It would really only be one function change, and said function is built into the standard Haskell libraries. No problem. I think doing it by localtime makes more sense anyway.

Sounds good! Ill keep an eye out and test it when released. I currently dont have the space on my SSD to install the haskell build deps so it might be a day or two before I get time to resize windows and grow Arch. Thanks for your work smile

Offline

#202 2014-01-01 07:12:18

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@GSF1200S

Do you know about the binary package?

https://aur.archlinux.org/packages/aura-bin/

Offline

#203 2014-01-01 10:13:32

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

orschiro wrote:

@GSF1200S

Do you know about the binary package?

https://aur.archlinux.org/packages/aura-bin/

Yes, thank you smile

I do not believe fosskers has had time to update the bin yet, but ill keep an eye out.

Offline

#204 2014-01-01 22:21:06

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

I plan to do a massive update on the 5th. The changes will be included in that.


Author of Aura

Offline

#205 2014-01-05 17:59:39

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@GSF1200S: `-B` now uses localtime. It turned into a little more than one function change, but things are a lot cleaner now. This functionality will be available in the 1.2.2.0 release.


Author of Aura

Offline

#206 2014-01-05 19:34:49

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

@GSF1200S: `-B` now uses localtime. It turned into a little more than one function change, but things are a lot cleaner now. This functionality will be available in the 1.2.2.0 release.

Sounds great!

Offline

#207 2014-01-06 06:28:03

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

1.2.2.0
-------
- Happy New Year!
- makepkg's `--ignorearch` flag is now visible to Aura.
  This allows users to build AUR packages on ARM devices
  without worrying about architecture restrictions in PKGBUILDs.
- Use `--head` and `--tail` to truncate `-As` results.
- `-B` now uses local time.
- Bug fixes and translation updates


Author of Aura

Offline

#208 2014-01-06 11:40:05

aexoxea
Member
Registered: 2012-11-17
Posts: 62

Re: Aura - 1.3.5 *Please update to fix breakage*

Many thanks for the update (and a happy new year to you and everyone else here).

I did encounter some difficulties related to aur/haskell-json, however those were resolved by modifying that PKGBUILD locally (and I have added a comment on AUR recommending same). As before, I note this only in case anyone else encounters it.

fosskers wrote:

@aexoxea: This should fix itself with an updated `haskell-curl` package.

[#1364451]

Thank you for looking into that (and for the prompt response!); I will await this update and advise here when it resolves the issue. I also note that the patch for the core/curl bug linked earlier has been pushed to master and the bug report closed as fixed, so presumably that will become available whenever the next curl release happens...

Offline

#209 2014-01-07 09:24:02

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

1.2.2.0
-------
- Happy New Year!
- makepkg's `--ignorearch` flag is now visible to Aura.
  This allows users to build AUR packages on ARM devices
  without worrying about architecture restrictions in PKGBUILDs.
- Use `--head` and `--tail` to truncate `-As` results.
- `-B` now uses local time.
- Bug fixes and translation updates

Thanks!

Offline

#210 2014-01-14 19:20:52

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

1.2.2.1
-------
- `-Ai` now shows dependencies.


Author of Aura

Offline

#211 2014-01-15 05:36:07

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@fosskers

Thanks for the update! Could it be that Aura has a problem dealing with packages that have numbers and dots inside the package name?

When I try to install https://aur.archlinux.org/packages/elem … -theme2.7/ , then on the first time I get:

➜  ~  sudo aura -A elementary-icon-theme2.7
[sudo] password for orschiro: 
aura >>= The following are not AUR packages:
elementary-icon-theme2.7

Interestingly though, on the second time I run the command, the package is found!

Offline

#212 2014-01-15 16:54:50

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

This has been happening a lot lately. See:

https://github.com/fosskers/aura/issues/182


Author of Aura

Offline

#213 2014-01-17 04:09:58

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

This has been happening a lot lately. See:

https://github.com/fosskers/aura/issues/182

marlin-bzr does this. It took 3 initiations of Aura to finally have it seen as an AUR package, and then its dependency failed for the same reason. I have not had this issue with packer, cower, or pacaur (which uses cower for AUR).

Offline

#214 2014-01-17 05:50:56

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@GSF1200S

Neither had I this with previous versions of Aura. It happens just recently.

Offline

#215 2014-01-17 07:53:51

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

orschiro wrote:

@GSF1200S

Neither had I this with previous versions of Aura. It happens just recently.

I didnt really either. Im assuming the android-sdk upgrade error I had earlier was caused by the same "issue" with Aura. Other than that I had no issues, and then slowly more and more its happening. Strange...

Last edited by GSF1200S (2014-01-17 07:54:43)

Offline

#216 2014-01-18 17:20:56

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

It finally happened to me too, recently.


Author of Aura

Offline

#217 2014-01-19 19:37:23

GSF1200S
Member
Registered: 2008-12-24
Posts: 403

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

It finally happened to me too, recently.

Take a look at the pacaur thread- the errors on the last page seems identical to what aura is facing. This sucks as I basically use pacaur and aura (and cower by proxy) as I like having backups. Im going to install yaourt-git and test it alongside aura and pacaur and ill let you know how it goes.

The strange thing about this is ive used pacaur (and I installed packer a few times to test as well) to update packages aura failed to upgrade due to the errors Ive posted in here earlier hmm

Offline

#218 2014-01-19 20:04:04

Spyhawk
Member
Registered: 2006-07-07
Posts: 392

Re: Aura - 1.3.5 *Please update to fix breakage*

I've not been affected by this bug personally, but it seems at least two users of pacaur have (I got similar report on GH, but I haven't heard from that user since then). And if the issue isn't aur helper specific, it means it is either related to a server side change (AUR 2.3.1?) or a new version of a dependency (curl 7.34?).

Offline

#219 2014-01-20 16:50:19

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

I'm personally suspicious of curl.


Author of Aura

Offline

#220 2014-02-01 13:15:19

aexoxea
Member
Registered: 2012-11-17
Posts: 62

Re: Aura - 1.3.5 *Please update to fix breakage*

core/curl is now up to 7.35.0-1. This appears to have resolved the API error message at my end (though I didn't have anything to update just now, so will check when I do to make sure that things really are working fine).

This is further to my previous post (#1367849) and is FYI.

Offline

#221 2014-02-05 19:45:12

bstaletic
Member
Registered: 2014-02-02
Posts: 575

Re: Aura - 1.3.5 *Please update to fix breakage*

I'd really love to use aura, but haskell-regex-base is nowhere to be found. Pacman can't find it, packer says it doesn't exist, and manual search of arch packages and AUR also failed.
Is that package deleted from the repos or am I just blind or something?

Offline

#222 2014-02-05 19:54:26

Mindstormscreator
Member
Registered: 2012-07-01
Posts: 165

Re: Aura - 1.3.5 *Please update to fix breakage*

bstaletic wrote:

I'd really love to use aura, but haskell-regex-base is nowhere to be found.

Use aura-bin.

Offline

#223 2014-02-05 22:48:21

bstaletic
Member
Registered: 2014-02-02
Posts: 575

Re: Aura - 1.3.5 *Please update to fix breakage*

Thamks, it works.

Offline

#224 2014-02-07 23:22:09

bstaletic
Member
Registered: 2014-02-02
Posts: 575

Re: Aura - 1.3.5 *Please update to fix breakage*

If a user enters command "sudo aura -Sy" does aura at one point issue "sudo pacman -Sy"? If so could aura be "channeled" through another pacman wrapper? What I mean is, if I install let's say pacmatic (because of the same syntax as pacman), would I be able in any way to tell aura to use pacmatic instead of pacman?

I tryed installing pacmatic, and that alias it. It works when i enter "sudo pacman -Sy" (as you would expect it to work), but when I entered "sudo aura -Sy" it's like there is no pacmatic.

Offline

#225 2014-02-08 02:17:23

aexoxea
Member
Registered: 2012-11-17
Posts: 62

Re: Aura - 1.3.5 *Please update to fix breakage*

Looks like I spoke too soon at #1377076...

aura >>= Fetching package information...
aura >>= AUR API lookup failed. Please check your connection.

That's with both core/curl 7.35.0-1 and aur/haskell-curl 1.3.8-2 (the latter had some PKGBUILD updates the other day). Not sure why it seemed to be working OK at first.

Anyways, back to dormant mode until something else happens smile.

Offline

Board footer

Powered by FluxBB